Module | ActionController::Macros::AutoComplete::ClassMethods
In: | lib/action_controller/macros/auto_complete.rb

Example:

      # Controller
      class BlogController < ApplicationController
        auto_complete_for :post, :title
      end

      # View
      <%= text_field_with_auto_complete :post, title %>

By default, auto_complete_for limits the results to 10 entries, and sorts by the given field.

auto_complete_for takes a third parameter, an options hash to the find method used to search for the records:

      auto_complete_for :post, :title, :limit => 15, :order => 'created_at DESC'

For help on defining text input fields with autocompletion, see ActionView::Helpers::JavaScriptHelper.

For more examples, see script.aculo.us:

- script.aculo.us/demos/ajax/autocompleter
- script.aculo.us/demos/ajax/autocompleter_customized

### Methods

auto_complete_for

### Public Instance methods

auto_complete_for(object, method, options = {})

[Validate]